This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 142579 - Viper: install kernel panics on DP system with 4GB all on cpu#2
Viper: install kernel panics on DP system with 4GB all on cpu#2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2004-12-10 13:49 EST by Issue Tracker
Modified: 2013-08-05 21:10 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2004-12-10 13:49:37 EST
Escalated to Bugzilla from IssueTracker
Comment 1 Larry Troan 2004-12-10 13:51:58 EST
On a Viper, I have found that if you install 4 GB, or more, of memory
only on the second cpu of a dual cpu system, that the install kernel
panics and reboots the system. This experiment works fine if you use
less than 4 GB in the same configuration.  FYI: Viper memory *must* be
loaded in pairs.

The install works fine if you switch the memory over to cpu #1.

I will ship (2) 2 GB sticks of memory to Westford tonight for use in
reproducing this.


Event posted 11-22-2004 02:36pm by jeff.burrell with duration of 0.00 	

Event posted 11-23-2004 05:00pm by jeff.burrell with duration of 0.00 	
(2) 2GB DDR1 sticks for Viper will ship from HP tonight(11/23)
overnight to Bill Peck's attention.
Comment 2 Larry Troan 2004-12-10 13:52:38 EST
Adjusting severity to match Issue Tracker.
Comment 3 Ernie Petrides 2004-12-10 16:55:57 EST
Larry, could you please link this BZ to the IT ticket?  Also, please
provide the oops console output.  Thanks.
Comment 4 Larry Troan 2004-12-17 14:25:30 EST
Event posted 12-14-2004 01:21pm by Daryl with duration of 0.00 	
Let's aim for an Update 5 fix.
Comment 5 Larry Troan 2005-01-07 14:39:53 EST
   Event posted 12-20-2004 11:28am by kim.jensen with duration of 0.00 	
I cannot access 142579 so please update Bugzilla ...

RH has 5 dual processor systems  
 - to duplcate the oops, put 4 GB in the second processor's memory bank.
Comment 6 Jeff Burrell 2005-01-11 14:26:33 EST
Here's the latest update on this bug from HP...

Using RHEL 3 U4 gold, I can successfully install and run with 4 1GB
sticks in the second CPU's memory slots, and, of course, nothing in
CPU 0's memory slots.

When I install 4 2GB sticks in the second CPU's memory, the following
problems occur:
1) Can't boot the newly installed U4 image that boots with 4 GB.
Kernel panics and reboots.  No messages visible on monitor.
2) Install kernel for U4 panics and reboots.  No messages visible on
monitor.

If I put any memory at all in CPU 0's slots, with 8 GB in CPU 1's
memory, the install kernel is happy and installs properly.  The newly
installed kernel boots properly and all is good.  Remove the memory
from CPU 0, leaving 8 GB on CPU 1 and the kernel panics.
Comment 8 Larry Troan 2005-01-14 14:30:22 EST
Why is this in NEEDINFO? Kim responded. Changing to Assigned.
Comment 13 Dave Anderson 2005-05-17 14:51:31 EDT
Does the problem occur when "numa=off" is entered on the boot command line?
Comment 24 Jim Paradis 2005-08-18 11:47:07 EDT
I strongly suspect that this bug is the RHEL3 equivalent of Bug 160230, and that
the same fix is indicated for RHEL3.
Comment 27 Jim Paradis 2005-09-13 11:03:29 EDT
*** Bug 156645 has been marked as a duplicate of this bug. ***
Comment 28 Ernie Petrides 2005-09-21 20:39:19 EDT
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.3.EL).
Comment 33 Red Hat Bugzilla 2006-03-15 10:46:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.